//
//  MedtechPrimaryGeneratorAction.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#include "MedtechPrimaryGeneratorAction.hh"

MedtechPrimaryGeneratorAction::MedtechPrimaryGeneratorAction()
{
    G4int numberOfParticles = 1;
    particleGun = new G4ParticleGun(numberOfParticles);
    G4ParticleTable *particleTable = G4ParticleTable::GetParticleTable();
    G4ParticleDefinition *particle = particleTable -> FindParticle("e-");
    particleGun -> SetParticleDefinition(particle);
    particleGun -> SetParticlePosition(G4ThreeVector(1,1,1));
    particleGun -> SetParticleMomentumDirection(G4ThreeVector(0, 0, 4*m));
    particleGun -> SetParticleEnergy(6*MeV);
}

MedtechPrimaryGeneratorAction::~MedtechPrimaryGeneratorAction()
{
    delete particleGun;
}

void MedtechPrimaryGeneratorAction::GeneratePrimaries(G4Event *anEvent)
{
    particleGun -> SetParticlePosition(G4ThreeVector(0, 0, 0));
    particleGun -> GeneratePrimaryVertex(anEvent);
}
